textures/laberinto2/flag01
{      
	deformVertexes wave 100 sin 4 3 0 0.3
	deformVertexes wave 30 sin 0 3 0 .8
	deformVertexes normal .3 .2
	cull none
        
	{
		map models/flags/r_flag.tga
		rgbGen identity
	}
	
	{
		map models/flags/r_flag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/sfx/shadow.tga
		tcGen environment 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/laberinto2/flag02
{      
	deformVertexes wave 100 sin 4 3 0 0.3
	deformVertexes wave 30 sin 0 3 0 .8
	deformVertexes normal .3 .2
	cull none
        
	{
		map models/flags/b_flag.tga
		rgbGen identity
	}
	
	{
		map models/flags/b_flag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/sfx/shadow.tga
		tcGen environment 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/laberinto2/gold
{

	{
		map models/laberinto/gold.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .5 .5
		rgbgen identity	
	}

	{
		map models/laberinto/gold.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}

	{
		map models/laberinto/gold.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}

	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen vertex
	}
}
textures/laberinto2/fountain
{ 
   qer_editorimage models/laberinto/fountain.tga 
   q3map_nonplanar 
   q3map_forcemeta 
   q3map_clipmodel     
   { 
      map models/laberinto/fountain.tga 
   }
   {  
      map $lightmap
      blendFunc filter
	rgbGen vertex
   }
}
models/mapobjects/br_fountain2/br_waterfall3
{
      qer_editorimage models/laberinto/waterfall3.tga 
      surfaceparm trans	
      surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
	{
		map models/laberinto/waterfall3.tga
            tcMod Scroll -.5 -4
            //blendFunc GL_ONE GL_ONE
		blendFunc GL_dst_color GL_zero
		rgbgen identity      
	}
   {  
      map $lightmap
	blendFunc GL_dst_color GL_one
	rgbgen vertex
   }
}
textures/laberinto2/TudorWindow2
{
	qer_editorimage textures/laberinto2/TudorWindow2.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/laberinto2/TudorWindow2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/laberinto2/TudorWindow2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/Laberinto2/skybox
{
	qer_editorimage textures/stratosphere/strat_view.tga
	//q3map_lightimage textures/Laberinto2/sky1.tga
	q3map_lightRGB 0.945 0.898 0.719
	//q3map_lightsubdivide 512
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	//q3map_surfacelight 400
	q3map_skylight 150 3
	surfaceparm sky
	q3map_sun 0.945 0.898 0.719 1500 326 35
	skyparms env/lab/islandsky - -
}
textures/Laberinto2/fog
{
	qer_editorimage textures/laberinto2/water_ripples.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	//surfaceparm	nolightmap
	fogparms ( .3 .4 .2 ) 500
	q3map_bouncescale 0
}
textures/Laberinto2/fog2
{
	qer_editorimage textures/laberinto2/water_ripples.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	//surfaceparm	nolightmap
	fogparms ( .3 .4 .2 ) 1
	q3map_bouncescale 0
}
textures/Laberinto2/fog3
{
	qer_editorimage textures/laberinto2/water_ripples.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	//surfaceparm	nolightmap
	fogparms ( .3 .4 .2 ) 250
	q3map_bouncescale 0
}
textures/cow7/fs_gate2
{
        qer_editorimage textures/cow7/fs_gate2.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/cow7/fs_gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/cow7/fs_gate3c
{
        qer_editorimage textures/cow7/fs_gate3c.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/cow7/fs_gate3c.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/urban_terror6/ww-railings02
{
	qer_editor_image textures/urban_terror6/ww-railings02.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/ww-railings02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Shader and Texture by $null, just preventing the accidental shader error that might occur
textures/laberinto2/water_temp_fx
{
	qer_editorimage textures/laberinto2/water_ripples.tga
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	//cull none
	q3map_noFog
	q3map_cloneshader textures/laberinto2/water_temp_fx_2
	//sort 5
	{
		map textures/laberinto2/water_ripples2.tga
		blendfunc blend
		tcmod scroll 0 0.01
		tcmod turb 0 0.5 0.75 0.02
		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
		//alphagen const 0.75
	}
	{
		map textures/laberinto2/water_ripples2.tga
		blendfunc blend
		tcmod scroll 0 0.012
		tcmod turb 0 0.5 0.25 0.025
		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
		//alphagen const 0.75
	}
	{
		//map textures/laberinto2/env/sky_dn.tga
		map $whiteimage
		rgbgen const ( 0.749019 0.7098039 0.6078431 )
		alphagen oneminusvertex
		blendfunc blend
	}
}

textures/laberinto2/water_temp_fx_2
{
	qer_editorimage textures/laberinto2/water_ripples.tga
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	//cull none
	q3map_noFog
	q3map_invert
	sort 13
	{
		map textures/laberinto2/water_ripples2.tga
		alphagen vertex
		blendfunc blend
		tcmod scroll 0 -0.01
		tcmod turb 0 0.5 0.75 0.02
		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
	}
}

textures/common/clipnokick
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
models/mapobjects/sinni/seaweed
{
	surfaceparm trans	
	surfaceparm alphashadow
      surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
      nopicmip
	deformVertexes autoSprite2
	deformVertexes wave 32 sin 0.1 3 0 .5	
	{
		map models/mapobjects/sinni/seaweed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models/mapobjects/sinni/seaweed1
{
	surfaceparm trans	
	surfaceparm alphashadow
      surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
      nopicmip
	deformVertexes autoSprite2
	deformVertexes wave 32 sin 0.1 3 0 .5	
	{
		map models/mapobjects/sinni/seaweed1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models/mapobjects/sinni/seaweed2
{
	surfaceparm trans	
	surfaceparm alphashadow
      surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
      nopicmip
	deformVertexes autoSprite2
	deformVertexes wave 32 sin 0.1 3 0 .5	
	{
		map models/mapobjects/sinni/seaweed2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models/mapobjects/sinni/barrel-sides
{
	cull none
      nopicmip
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map models/mapobjects/sinni/barrel-sides.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/liquids/clear_ripple666
	{
		qer_editorimage textures/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}
textures/sinni/railing
{
	qer_editor_image textures/sinni/railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/sinni/railing.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models/mapobjects/sinni/fountainrain
{
      qer_editorimage models/mapobjects/sinni/fountainwater.tga 
	//surfaceparm alphashadow
	nopicmip
	cull disable
      surfaceparm nomarks	
	surfaceparm nonsolid
	//cull none
	{
		map models/mapobjects/sinni/fountainwater.tga
            tcMod Scroll 0 -2
            //blendFunc GL_ONE GL_ONE
		//blendFunc GL_ONE GL_ZERO
		blendFunc GL_dst_color GL_zero
		alphaFunc GE128
		depthWrite
		rgbgen identity      
	}
   {  
      //map $lightmap
	blendFunc GL_dst_color GL_one
	rgbgen vertex
   }
}
models/mapobjects/sinni/fountainrail
{
	qer_editor_image models/mapobjects/sinni/fountainrail.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map models/mapobjects/sinni/fountainrail.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/bbq/bbqivy
{
	qer_editorimage textures/bbq/bbqivy.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/bbq/bbqivy.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/common/invisible // solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap			
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
models/mapobjects/br_halfbarrels/br_pinkflowers
{
	qer_editorimage models/mapobjects/br_halfbarrels/br_pinkflowers.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_halfbarrels/br_pinkflowers.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
models/mapobjects/br_halfbarrels/br_plant1
{
	qer_editorimage models/mapobjects/br_halfbarrels/br_plant1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_halfbarrels/br_plant1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}